/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.laf.separator;

import com.alee.laf.StyleConstants;

import java.awt.*;

/**
 * User: mgarin Date: 11/15/11 Time: 4:33 PM
 */

public final class WebSeparatorStyle
{
    /*
    * Light upper separator color
    */
    public static Color separatorLightUpperColor = StyleConstants.separatorLightUpperColor;

    /*
    * Light middle separator color
    */
    public static Color separatorLightColor = StyleConstants.separatorLightColor;

    /*
    * Upper separator color
    */
    public static Color separatorUpperColor = StyleConstants.separatorUpperColor;

    /*
    * Middle separator color
    */
    public static Color separatorColor = StyleConstants.separatorColor;

    /*
    * Reversed colors usage
    */
    public static boolean reversedColors = false;

    /*
    * Draw additional light lines at separator sides
    */
    public static boolean drawSideLines = true;
}
