package com.alee.utils.file;

/**
 * User: mgarin Date: 19.10.11 Time: 19:32
 */

public interface FileDownloadListener
{
    /**
     * Called when file size retrieved
     */
    public void sizeDetermined ( int totalSize );

    /**
     * Called when one more file part have been downloaded
     */
    public void partDownloaded ( int totalBytesDownloaded );

    /**
     * Asked before each time-eating operation if download should be stopped
     */
    public boolean shouldStopDownload ();
}