/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.utils.laf;

import com.alee.laf.BackgroundPainter;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 14.12.11 Time: 15:37
 */

public abstract class DefaultBackgroundPainter implements BackgroundPainter
{
    public Dimension getBackgroundPreferredSize ( JComponent c )
    {
        return new Dimension ( 0, 0 );
    }

    public Insets getBackgroundMargin ( JComponent c )
    {
        return new Insets ( 0, 0, 0, 0 );
    }
}
